
package com.tmerclub.cloud.flow.bo;

import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户流量记录
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@Document("flow_user_log")
public class FlowLogBO implements Serializable{

    /**
     * operateId
     */
    private Long oid;

    /**
     * systemType: 系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios
     */
    private Integer st;

    /**
     * pageId: 页面id
     */
    private Integer pid;

    /**
     * visitEvent: 访问事件 1:页面访问 2:加购 3：收藏 4：提交订单 5：支付成功 6: 申请退款
     */
    private Integer ve;

    /**
     * 店铺id， 平台传0
     */
    private Integer sid;

    /**
     * 业务id
     */
    private Long bid;

    /**
     * step: 用户操作步骤数
     */
    private Integer s;

    /**
     * nums: 用户操作数量
     */
    private Integer n;

    /**
     * 用户id
     */
    private Long uid;

    /**
     * 用户登陆ip
     */
    private Long ip;

    /**
     * 日期时间 datetime
     */
    private Date dt;

    public Long getOid() {
        return oid;
    }

    public void setOid(Long oid) {
        this.oid = oid;
    }

    public Integer getSt() {
        return st;
    }

    public void setSt(Integer st) {
        this.st = st;
    }

    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }

    public Integer getVe() {
        return ve;
    }

    public void setVe(Integer ve) {
        this.ve = ve;
    }

    public Integer getSid() {
        return sid;
    }

    public void setSid(Integer sid) {
        this.sid = sid;
    }

    public Long getBid() {
        return bid;
    }

    public void setBid(Long bid) {
        this.bid = bid;
    }

    public Integer getS() {
        return s;
    }

    public void setS(Integer s) {
        this.s = s;
    }

    public Integer getN() {
        return n;
    }

    public void setN(Integer n) {
        this.n = n;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public Long getIp() {
        return ip;
    }

    public void setIp(Long ip) {
        this.ip = ip;
    }

    public Date getDt() {
        return dt;
    }

    public void setDt(Date dt) {
        this.dt = dt;
    }

    @Override
    public String toString() {
        return "FlowLogBO{" +
                "oid=" + oid +
                ", st=" + st +
                ", pid=" + pid +
                ", ve=" + ve +
                ", sid=" + sid +
                ", bid='" + bid + '\'' +
                ", s=" + s +
                ", n=" + n +
                ", uid='" + uid + '\'' +
                ", ip=" + ip +
                ", dt=" + dt +
                '}';
    }
}
